Package org.apache.sling.testing.resourceresolver

# Class DefaultMockResourceFactory

java.lang.Object
org.apache.sling.testing.resourceresolver.DefaultMockResourceFactory

All Implemented Interfaces:
  `MockResourceFactory`

public class DefaultMockResourceFactory extends Object implements MockResourceFactory
Default factory implementation that always returns a MockResource object

## Constructor Summary

Constructors
Constructor
Description
`DefaultMockResourceFactory()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.api.resource.Resource`
`newMockResource(String path, Map<String,Object> properties, org.apache.sling.api.resource.ResourceResolver resolver)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultMockResourceFactory

public DefaultMockResourceFactory()

## Method Details

### newMockResource

public org.apache.sling.api.resource.Resource newMockResource(String path, Map<String,Object> properties, org.apache.sling.api.resource.ResourceResolver resolver)

Specified by:
  `newMockResource` in interface `MockResourceFactory`